Show and hide loading prompt on the bottom right of the screen.

Example:

    import { LoadingPrompt } from '@nativewrappers/client/ui';

    LoadingPrompt.show("Hello World");

    setTimeout(() => {
     LoadingPrompt.hide();
    }, 10000)'

### Hierarchy

- LoadingPrompt

## Index

### Constructors

- constructor

### Accessors

- IsActive

### Methods

- hide
- show

## Constructors

### constructor

- new LoadingPrompt(): LoadingPrompt

- #### Returns LoadingPrompt

## Accessors

### Static IsActive

- get IsActive(): boolean

- - Defined in ui/LoadingPrompt.ts:49

  #### Returns boolean

## Methods

### Static hide

- hide(): void

- - Defined in ui/LoadingPrompt.ts:43

  #### Returns void

### Static show

- show(loadingText?: string, spinnerType?: LoadingSpinnerType): void

- - Defined in ui/LoadingPrompt.ts:25

  Shows a loading prompt.

  #### Parameters

  - ##### loadingText: string = ''

    Text to be displayed inside loading prompt.

  - ##### spinnerType: LoadingSpinnerType = ...

    Type of spinner.

  #### Returns void

Generated using TypeDoc